org.eclipse.emf.facet.custom.ui

## Class CustomizedContentProviderUtils

- java.lang.Object
- - org.eclipse.emf.facet.custom.ui.CustomizedContentProviderUtils

    public final class CustomizedContentProviderUtils
    extends java.lang.Object

A companion utility class for `ICustomizedTreeContentProvider`

Since:
  0.2

### Method Summary

All Methods Static Methods Concrete Methods
`static EObject` `getEObject(java.lang.Object object)`
`static EStructuralFeature` `getEStructuralFeature(java.lang.Object treeElt)`
`static EObject` `getParentEObject(java.lang.Object object)`
`static java.lang.Object` `resolve(java.lang.Object element)` Resolve the given UI element into the underlying model element.
`static ISelection` `resolveSelection(ISelection selection)` Replace proxy objects by their underlying model elements in the given selection

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### resolveSelection

    public static ISelection resolveSelection(ISelection selection)

Replace proxy objects by their underlying model elements in the given selection

Returns:
  the unwrapped version of the selection

#### resolve

    public static java.lang.Object resolve(java.lang.Object element)

Resolve the given UI element into the underlying model element.

Parameters:
  `element` - a UI element, that may be a proxy for a model element
Returns:
  the corresponding model element, or the given element if it is not a proxy

#### getEStructuralFeature

    public static EStructuralFeature getEStructuralFeature(java.lang.Object treeElt)

Since:
  1.2

#### getParentEObject

    public static EObject getParentEObject(java.lang.Object object)

Since:
  1.2

#### getEObject

    public static EObject getEObject(java.lang.Object object)

Since:
  1.2